Subject: Re: [PATCH] sequencer: avoid dropping fixup commit that targets self via commit-ish

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Sep 2022 09:23:44 -0700

Junio C Hamano <[email-masked]> writes:

> Your solution looks somewhat surprising to me, as I would naively
> have thought to fix the use of _by_name() and limit its use only
> when the input token is all hexadecimal, or something.  I'd need to
> think more to convince myself why this is the right solution.

OK, we try to find what to amend with the current "fixupish" from
the todo slab, which by definition must be something that we have
already dealt with.  The current "fixupish" should not be found
because we haven't finished dealing with it, so delaying the
addition of the current one to the todo slab is a must.

There is no leaving or continuing the loop, other than an error
return that aborts the whole thing, that may break the resulting
todo slab in the normal case due to this change, either.  

The fix makes sense to me.  Will queue.

Thanks.